ARCH-CHROOT(8)

NOME
arch-chroot - comando de chroot aprimorado

SINOPSE

arch-chroot [opções] dir-chroot [comando] [argumentos...]

DESCRIÇÃO

arch-chroot envolve o comando chroot(1) enquanto garante que funcionalidades importantes estejam disponíveis, p.ex., montando /dev/, /proc e outros sistemas de arquivos API, ou expondo resolv.conf(5) ao chroot.

Se comando não for especificado, arch-chroot vai iniciar /bin/bash.

    Nota

    Recomenda-se que o alvo dir-chroot seja um ponto de montagem. Isso garante que ferramentas como pacman(8) ou findmnt(8) tenham uma hierarquia precisa dos sistemas de arquivos montados dentro do chroot. Se o seu alvo chroot não for um ponto de montagem, você pode vincular a montagem do diretório a si mesmo para torná-lo um ponto de montagem, isto é:

    mount --bind /seu/chroot /seu/chroot

OPÇÕES

-N
    Executa no modo cancelar compartilhamento. Isso usará unshare(1) para criar uma nova montagem e espaço de nomes de usuário, permitindo que usuários regulares criem novas instalações de sistema.

-u <usuário>[:grupo]
    Especifica um usuário não-root e um grupo opcional para usar.

-h
    Emite sintaxe e opções de linha de comando.

VEJA TAMBÉM

pacman(8)

BUGS

Bugs podem ser relatados no rastreador de bugs https://bugs.archlinux.org na categoria Arch Linux e título prefixado com [arch-install-scripts] ou via arch-projects@archlinux.org.

AUTORES

Mantenedores:

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Para contribuidores adicionais, use git shortlog -s no repositório do arch-install-scripts.git repository.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).